scala.concurrent

# ExecutionContextExecutor

#### trait ExecutionContextExecutor extends ExecutionContext with Executor

An ExecutionContext that is also a Java Executor.

Source
  ExecutionContext.scala

Linear Supertypes
Executor, ExecutionContext, AnyRef, Any
Known Subclasses
ExecutionContextExecutorService
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ExecutionContextExecutor
2. Executor
3. ExecutionContext
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def execute(arg0: Runnable): Unit

   Definition Classes
     Executor

2. #### abstract def reportFailure(cause: Throwable): Unit

   Reports that an asynchronous computation failed.

   Reports that an asynchronous computation failed.

   cause

     the cause of the failure

   Definition Classes
     ExecutionContext

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ExecutionContextExecutor to any2stringadd[ExecutionContextExecutor] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ExecutionContextExecutor, B)

   Implicit information
     This member is added by an implicit conversion from ExecutionContextExecutor to ArrowAssoc[ExecutionContextExecutor] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (ExecutionContextExecutor) ⇒ Boolean, msg: ⇒ Any): ExecutionContextExecutor

   Implicit information
     This member is added by an implicit conversion from ExecutionContextExecutor to Ensuring[ExecutionContextExecutor] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (ExecutionContextExecutor) ⇒ Boolean): ExecutionContextExecutor

   Implicit information
     This member is added by an implicit conversion from ExecutionContextExecutor to Ensuring[ExecutionContextExecutor] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): ExecutionContextExecutor

    Implicit information
      This member is added by an implicit conversion from ExecutionContextExecutor to Ensuring[ExecutionContextExecutor] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): ExecutionContextExecutor

    Implicit information
      This member is added by an implicit conversion from ExecutionContextExecutor to Ensuring[ExecutionContextExecutor] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from ExecutionContextExecutor to StringFormat[ExecutionContextExecutor] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def prepare(): ExecutionContext

    Prepares for the execution of a task.

    Prepares for the execution of a task. Returns the prepared execution context.

    `prepare` should be called at the site where an `ExecutionContext` is received (for example, through an implicit method parameter). The returned execution context may then be used to execute tasks. The role of `prepare` is to save any context relevant to an execution's call site, so that this context may be restored at the execution site. (These are often different: for example, execution may be suspended through a `Promise`'s future until the `Promise` is completed, which may be done in another thread, on another stack.)

    Note: a valid implementation of `prepare` is one that simply returns `this`.

    returns

      the prepared execution context

    Definition Classes
      ExecutionContext

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### def →[B](y: B): (ExecutionContextExecutor, B)

    Implicit information
      This member is added by an implicit conversion from ExecutionContextExecutor to ArrowAssoc[ExecutionContextExecutor] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Executor

### Inherited from ExecutionContext

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ExecutionContextExecutor to any2stringadd[ExecutionContextExecutor]

### Inherited by implicit conversion StringFormat from ExecutionContextExecutor to StringFormat[ExecutionContextExecutor]

### Inherited by implicit conversion Ensuring from ExecutionContextExecutor to Ensuring[ExecutionContextExecutor]

### Inherited by implicit conversion ArrowAssoc from ExecutionContextExecutor to ArrowAssoc[ExecutionContextExecutor]

### Ungrouped